#include "basket.h"
#include "ui_basket.h"

basket::basket(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::basket)
{
    ui->setupUi(this);
    this->setWindowTitle("Окно клиента");
    this->setWindowTitle("Корзина");
    this -> show();
    if (!m_db.open())        qDebug()<<"Error: DB not connectred";
    else                     qDebug()<<"DB connected succesfully";
    m_query = new QSqlQuery(m_db);
    tableView();
}

basket::~basket()
{
    delete ui;
}

void basket::tableView()
{
    QSqlQueryModel* result_model = new QSqlQueryModel(this);
    m_query->exec("SELECT film_id AS Number, title, duration, year FROM films;");
    result_model->setQuery(*m_query);
    ui->tableTickets->setModel(result_model);
}

void basket::on_showticketsButton_clicked()
{
    QString name = ui->nameEdit->text();

    m_query->prepare("SELECT title AS \"Название\", start_time AS \"Время начала\", Tickets.row AS \"Ряд\", seat AS \"Место\", duration AS \"Длительность\", Halls.hall_type AS \"Тип зала\", type AS \"Тип места\" FROM Tickets JOIN Sessions USING(session_id) JOIN Films USING(film_id) JOIN Halls USING(hall_id) JOIN Hall_type ON Halls.hall_type = Hall_type.hall_type LEFT JOIN Types ON Hall_type.hall_type=Types.type_hall WHERE customer = :name ");
    m_query->bindValue(":name", name);

    if (!m_query->exec() && !m_query->next())
        qDebug() << "Error executing query: " << m_query->lastError().text();

    QSqlQueryModel* result_model = new QSqlQueryModel(this);
    result_model->setQuery(*m_query);
    ui->tableTickets->setModel(result_model);
}
