#include "blondinkawindow.h"
#include "ui_blondinkawindow.h"

BlondinkaWindow::BlondinkaWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::BlondinkaWindow)
{
    ui->setupUi(this);
    this->setWindowTitle("blondinkaWindow");
    this->show();
    m_db = QSqlDatabase::addDatabase("QPSQL");
    connectDB(m_db);

    if (!m_db.open())        ui->statusbar->showMessage("Error: DB not connectred");
    else                     ui->statusbar->showMessage("DB connected succesfully");

}

BlondinkaWindow::~BlondinkaWindow()
{
    delete ui;
}

void BlondinkaWindow::on_actionPROmode_triggered()
{
    admin = new AdminMainWindow();
    this->close();

}

void BlondinkaWindow::on_hallIncomeButton_clicked()
{
    interval = new intervalDialog();
    interval->setInfoLabelText("Вывести прибыль зала за интервал времени");
    interval->m_db = m_db;
}

void BlondinkaWindow::on_filmIncomeButton_clicked()
{
    interval = new intervalDialog();
    interval->setInfoLabelText("Вывести прибыль фильма за интервал времени");
    interval->m_db = m_db;
}
void BlondinkaWindow::on_ticketsButton_clicked()
{
    interval = new intervalDialog();
    interval->setInfoLabelText("Вывести билеты, купленные за интервал времени");
    interval->m_db = m_db;
}

void BlondinkaWindow::on_filmRatingButton_clicked()
{
    filmRating = new filmRatingDialog();
    filmRating->m_db = m_db;
}

void BlondinkaWindow::on_deleteTicketButton_clicked()
{
    deleteTicket = new deleteTicketDialog();
    deleteTicket->m_db = m_db;
}

void BlondinkaWindow::on_editFilmButton_clicked()
{
    editFilm = new editFilmDialog();
    editFilm->m_db = m_db;
}
