#ifndef BLONDINKAWINDOW_H
#define BLONDINKAWINDOW_H

#include <QMainWindow>
#include "adminmainwindow.h"
#include "intervaldialog.h"
#include "filmratingdialog.h"
#include "clientmainwindow.h"
#include "deleteticketdialog.h"
#include "editfilmdialog.h"
#include "connectdb.h"


namespace Ui {
class BlondinkaWindow;
}

class BlondinkaWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit BlondinkaWindow(QWidget *parent = 0);
    ~BlondinkaWindow();

private slots:
    void on_actionPROmode_triggered();

    void on_hallIncomeButton_clicked();

    void on_filmIncomeButton_clicked();

    void on_ticketsButton_clicked();

    void on_filmRatingButton_clicked();

    void on_deleteTicketButton_clicked();

    void on_editFilmButton_clicked();

private:
    Ui::BlondinkaWindow *ui;
    AdminMainWindow *admin;
    intervalDialog *interval;
    filmRatingDialog *filmRating;
    deleteTicketDialog *deleteTicket;
    editFilmDialog *editFilm;

    QSqlDatabase m_db;
};

#endif // BLONDINKAWINDOW_H
