#ifndef STARTDIALOG_H
#define STARTDIALOG_H

#include <QDialog>
#include "clientmainwindow.h"
#include "blondinkawindow.h"


namespace Ui {
class StartDialog;
}

class StartDialog : public QDialog
{
    Q_OBJECT

public:
    explicit StartDialog(QWidget *parent = 0);
    ~StartDialog();

private slots:
    void on_adminButton_clicked();

    void on_clientButton_clicked();

private:
    Ui::StartDialog *ui;
    BlondinkaWindow *admin;
    ClientMainWindow *client;

};

#endif // STARTDIALOG_H
